/*******************************************************************************
 * FoxGameSearchServerBrowser generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxGameSearchServerBrowser extends FoxGameSearch within FoxMenuUI
    native(UI);

function LaunchSearchMessageBox()
{
    // End:0xCA
    if(Outer.ServerBrowser != none)
    {
        Outer.ServerBrowser.ui_showModalDialog(300, 140, Localize("Menu", "ServerBrowserSeartchTitle", "FoxMenuUI"), Localize("Menu", "ServerBrowserSearchDesc", "FoxMenuUI"), true);
    }
    //return;    
}

function OnSearchServerBrowserCancel(FoxDialogBoxBase.EDialogBoxConfirmType Selection)
{
    Outer.ServerBrowser.ui_hideModalDialog();
    // End:0xA1
    if(!Search.bIsSearchInProgress)
    {
        Outer.Outer.PCOwner.OnCancelGameJoin();
    }
    CloseGameSearch();
    //return;    
}

function OnSearchGamesComplete(bool bWasSuccessful)
{
    // End:0x41
    if(bWasSuccessful)
    {
        Outer.ServerBrowser.ui_hideModalDialog();
    }
    super.OnSearchGamesComplete(bWasSuccessful);
    //return;    
}

simulated function LaunchInvalidJoinMessage()
{
    Outer.Outer.PCOwner.LaunchInvalidJoinTimeMessage("InvalidJoinTime_UnknownError");
    //return;    
}

function NullOurReference()
{
    Outer.GameSearchServerBrowser = none;
    //return;    
}
